Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.
Routing algorithm configuration created for a merchant.
Represents a fully defined routing strategy scoped to a profile
and transaction type.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/routing/routing--retrieve-config","slug":"/v1/routing/routing--retrieve-config","pageMetadata":{"openapi":"get /routing/active","description":"Retrieve active config","href":"/v1/routing/routing--retrieve-config","title":"Routing - Retrieve Config"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve active config\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /routing/active","description":"Retrieve active config","href":"/v1/routing/routing--retrieve-config","title":"Routing - Retrieve Config"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Routing"],"summary":"Routing - Retrieve Config","description":"Retrieve active config","operationId":"Retrieve active config","parameters":["24440643-4e2a-481e-ae9c-54361b18b877","fcfcbcde-4976-4399-98f8-b91d9eefe976"],"responses":{"200":"fef46297-695a-4294-84ea-c84d67ab9c56","403":"4074d168-a7a3-4479-87cd-9436f6277363","404":"2dd3d194-74e2-4781-bdc2-d3aa010ae890","500":"ba9cf9ba-672f-450b-8270-374788f304d3"},"security":["11a5a817-d257-4c43-8b9d-c005a7897af0","af5d1a63-481a-4ed3-989c-7c14305b755a"],"method":"get","type":"path","servers":["f61470cd-dcf1-4ff9-8d18-5ea2fd311348"],"path":"/routing/active","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Routing - Retrieve Config","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"24440643-4e2a-481e-ae9c-54361b18b877":{"name":"profile_id","in":"query","description":"The unique identifier for a merchant profile","required":false,"schema":{"oneOf":[{"type":"string","description":"The unique identifier for a merchant profile","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier for a merchant profile","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"fcfcbcde-4976-4399-98f8-b91d9eefe976":{"name":"X-Connected-Merchant-Id","in":"header","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","required":false,"schema":{"oneOf":[{"type":"string","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"example":"merchant_abc"}},"responses":{"fef46297-695a-4294-84ea-c84d67ab9c56":{"description":"Successfully retrieved active config","content":{"application/json":{"schema":{"oneOf":[{"type":"object","description":"Response returned when retrieving routing configuration\nfor a merchant account.","properties":{"algorithm":{"oneOf":[{"type":"object","description":"Routing algorithm configuration created for a merchant.\n\nRepresents a fully defined routing strategy scoped to a profile\nand transaction type.","required":["id","profile_id","name","description","algorithm","created_at","modified_at","algorithm_for"],"properties":{"id":{"type":"string","description":"Unique identifier of the routing configuration.\n\nExample:\n```json\n\"routing_abc123\"\n```","example":"routing_abc123","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.id","typeLabel":"string"},"profile_id":{"type":"string","description":"Profile ID to which this routing configuration belongs.\n\nExample:\n```json\n\"profile_123\"\n```","example":"profile_123","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.profile_id","typeLabel":"string"},"name":{"type":"string","description":"Human-readable name of the routing configuration.\n\nExample:\n```json\n\"default_card_routing\"\n```","example":"default_card_routing","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.name","typeLabel":"string"},"description":{"type":"string","description":"Description explaining the purpose of this routing configuration.\n\nExample:\n```json\n\"Primary routing strategy for card payments\"\n```","example":"Primary routing strategy for card payments","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.description","typeLabel":"string"},"algorithm":{"oneOf":[{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["single"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.0.data.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.0.data.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.0.data.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.0.data.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.0.data","typeLabel":"object"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["advanced"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"The program, having a default connector selection and\na bunch of rules. Also can hold arbitrary metadata.","required":["defaultSelection","rules","metadata"],"properties":{"defaultSelection":{"oneOf":[{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.defaultSelection","typeLabel":"object"},"rules":{"type":"object","description":"Represents a rule\n\n```text\nrule_name: [stripe, adyen, checkout]\n{\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n\npayment.method.cardtype = credit\n}\n}\n```","required":["name","connectorSelection","statements"],"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.name","typeLabel":"string"},"connectorSelection":{"oneOf":[{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["absa_sanlam","authipay","adyenplatform","stripe_billing_test","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","affirm","airwallex","amazonpay","archipel","authorizedotnet","bankofamerica","barclaycard","billwerk","bitpay","bambora","blackhawknetwork","bamboraapac","bluesnap","calida","boku","braintree","breadpay","cashtocode","celero","chargebee","custombilling","checkbook","checkout","citigate","coinbase","coingate","cryptopay","cybersource","cybersourcedecisionmanager","d24","datatrans","deutschebank","digitalvirgo","dlocal","dwolla","ebanx","elavon","elavon_pg","envoy","etisalat","facilitapay","finix","fiserv","fiservemea","fiservcommercehub","fiuu","flexiti","forte","getnet","gigadat","givepayments","globalpay","globalpayments_heartland","globepay","gocardless","gotyme_sanlam","hipay","helcim","hyperpg","iatapay","ilixium","imerchantsolutions","inespay","interpayments","itaubank","jpmorgan","jpmorgan_orbital","klarna","loonio","merchante","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","nordea","novalnet","nuvei","opennode","paybox","paydotcom","payme","paynearme","payload","payone","paypal","paysafe","paystack","paytm","payconex","payu","peachpayments","payjustnow","payjustnowinstore","phonepe","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","revolv3","riskified","saferpay","sanlam_payshield","santander","shift4","signifyd","nsure","silverflow","square","stax","stripe","stripebilling","tesouro","truelayer","trustly","trustpay","trustpayments","tokenio","tsys","tsys_transit","volt","wellsfargo","wise","worldline","worldpay","worldpaymodular","worldpayraft","worldpayvantiv","worldpayxml","xendit","zen","zift","plaid","zsl","juspaythreedsserver","ctp_mastercard","ctp_visa","netcetera","vgs","cardinal","threedsecureio"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1.data","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.connectorSelection","typeLabel":"object"},"statements":{"type":"array","items":{"type":"object","description":"Represents an IF statement with conditions and optional nested IF statements\n\n```text\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n}\n```","required":["condition"],"properties":{"condition":{"type":"array","items":{"type":"object","description":"Represents a single comparison condition.","required":["lhs","comparison","value","metadata"],"properties":{"lhs":{"type":"string","description":"The left hand side which will always be a domain input identifier like \"payment.method.cardtype\"","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].lhs","typeLabel":"string"},"comparison":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].comparison","typeLabel":"enum\u003cstring>"},"value":{"oneOf":[{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"integer","format":"int64","description":"Represents a number literal","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.value","typeLabel":"integer\u003cint64>"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents an enum variant","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["metadata_variant"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.key","typeLabel":"string"},"value":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value","typeLabel":"object"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["str_value"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a arbitrary String value","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["global_ref"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a global reference, which is a reference to a global variable","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_array"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"integer","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value.items.[INDEX]","typeLabel":"integer\u003cint64>"},"description":"Represents an array of numbers. This is basically used for\n\"one of the given numbers\" operations\neg: payment.method.amount = (1, 2, 3)","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value","typeLabel":"integer\u003cint64>[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant_array"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value.items.[INDEX]","typeLabel":"string"},"description":"Similar to NumberArray but for enum variants\neg: payment.method.cardtype = (debit, credit)","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_comparison_array"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"object","description":"Represents a number comparison for \"NumberComparisonArrayValue\"","required":["comparisonType","number"],"properties":{"comparisonType":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].comparisonType","typeLabel":"enum\u003cstring>"},"number":{"type":"integer","format":"int64","description":"This Unit struct represents MinorUnit in which core amount works","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].number","typeLabel":"integer\u003cint64>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX]","typeLabel":"object"},"description":"Like a number array but can include comparisons. Useful for\nconditions like \"500 \u003c amount \u003c 1000\"\neg: payment.amount = (> 500, \u003c 1000)","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].value","typeLabel":"object"},"metadata":{"type":"object","description":"Additional metadata that the Static Analyzer and Backend does not touch.\nThis can be used to store useful information for the frontend and is required for communication\nbetween the static analyzer and the frontend.","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].condition","typeLabel":"object[]"},"nested":{"oneOf":[{"type":"array","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].nested.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].nested.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX].nested","typeLabel":"array | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules.statements","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.rules","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data.metadata","typeLabel":"object"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3.data","typeLabel":"object"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","data"],"properties":{"type":{"type":"string","enum":["three_ds_decision_rule"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","required":["defaultSelection","rules","metadata"],"properties":{"defaultSelection":{"type":"object","description":"Struct representing the output configuration for the 3DS Decision Rule Engine.","required":["decision"],"properties":{"decision":{"type":"string","description":"Enum representing the possible outcomes of the 3DS Decision Rule Engine.","enum":["no_three_ds","challenge_requested","challenge_preferred","no_preference","three_ds_exemption_requested_tra","three_ds_exemption_requested_low_value","issuer_three_ds_exemption_requested"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.defaultSelection.decision","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.defaultSelection","typeLabel":"object"},"rules":{"type":"object","required":["name","connectorSelection","statements"],"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.name","typeLabel":"string"},"connectorSelection":{"type":"string","description":"Enum representing the possible outcomes of the 3DS Decision Rule Engine.","enum":["no_three_ds","challenge_requested","challenge_preferred","no_preference","three_ds_exemption_requested_tra","three_ds_exemption_requested_low_value","issuer_three_ds_exemption_requested"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.connectorSelection","typeLabel":"enum\u003cstring>"},"statements":{"type":"array","items":{"type":"object","description":"Represents an IF statement with conditions and optional nested IF statements\n\n```text\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n}\n```","required":["condition"],"properties":{"condition":{"type":"array","items":{"type":"object","description":"Represents a single comparison condition.","required":["lhs","comparison","value","metadata"],"properties":{"lhs":{"type":"string","description":"The left hand side which will always be a domain input identifier like \"payment.method.cardtype\"","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].lhs","typeLabel":"string"},"comparison":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].comparison","typeLabel":"enum\u003cstring>"},"value":{"oneOf":[{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"integer","format":"int64","description":"Represents a number literal","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0.value","typeLabel":"integer\u003cint64>"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.0","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents an enum variant","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.1","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["metadata_variant"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.key","typeLabel":"string"},"value":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2.value","typeLabel":"object"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.2","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["str_value"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a arbitrary String value","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.3","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["global_ref"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"Represents a global reference, which is a reference to a global variable","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.4","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_array"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"integer","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value.items.[INDEX]","typeLabel":"integer\u003cint64>"},"description":"Represents an array of numbers. This is basically used for\n\"one of the given numbers\" operations\neg: payment.method.amount = (1, 2, 3)","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5.value","typeLabel":"integer\u003cint64>[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.5","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant_array"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value.items.[INDEX]","typeLabel":"string"},"description":"Similar to NumberArray but for enum variants\neg: payment.method.cardtype = (debit, credit)","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6.value","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.6","typeLabel":"object"},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_comparison_array"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.type","typeLabel":"enum\u003cstring>"},"value":{"type":"array","items":{"type":"object","description":"Represents a number comparison for \"NumberComparisonArrayValue\"","required":["comparisonType","number"],"properties":{"comparisonType":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].comparisonType","typeLabel":"enum\u003cstring>"},"number":{"type":"integer","format":"int64","description":"This Unit struct represents MinorUnit in which core amount works","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX].number","typeLabel":"integer\u003cint64>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value.items.[INDEX]","typeLabel":"object"},"description":"Like a number array but can include comparisons. Useful for\nconditions like \"500 \u003c amount \u003c 1000\"\neg: payment.amount = (> 500, \u003c 1000)","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7.value","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value.oneOf.7","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].value","typeLabel":"object"},"metadata":{"type":"object","description":"Additional metadata that the Static Analyzer and Backend does not touch.\nThis can be used to store useful information for the frontend and is required for communication\nbetween the static analyzer and the frontend.","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].condition","typeLabel":"object[]"},"nested":{"oneOf":[{"type":"array","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].nested.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"497d388b-6407-47e7-a295-3745e9fbde9f"},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].nested.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX].nested","typeLabel":"array | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules.statements","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.rules","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.metadata.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data.metadata","typeLabel":"object"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4.data","typeLabel":"object"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.4","typeLabel":"object"},{"type":"object","required":["decision_engine_configs"],"properties":{"decision_engine_configs":{"type":"object","required":["threshold"],"properties":{"threshold":{"type":"number","format":"double","description":"Threshold for elimination logic in gateway selection","example":0.3,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.decision_engine_configs.threshold","typeLabel":"number\u003cdouble>"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.decision_engine_configs","typeLabel":"object"},"params":{"oneOf":[{"type":"array","items":{"type":"string","enum":["PaymentMethod","PaymentMethodType","AuthenticationType","Currency","Country","CardNetwork","CardBin"],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.params.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"deprecated":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.params.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","items":{"type":"string","enum":["PaymentMethod","PaymentMethodType","AuthenticationType","Currency","Country","CardNetwork","CardBin"]},"deprecated":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.params.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.params","typeLabel":"enum\u003cstring>[] | null"},"elimination_analyser_config":{"oneOf":[{"type":"object","properties":{"bucket_size":{"oneOf":[{"type":"integer","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.0.bucket_size.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.0.bucket_size.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.0.bucket_size","typeLabel":"integer\u003cint64> | null"},"bucket_leak_interval_in_secs":{"oneOf":[{"type":"integer","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.0.bucket_leak_interval_in_secs.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.0.bucket_leak_interval_in_secs.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.0.bucket_leak_interval_in_secs","typeLabel":"integer\u003cint64> | null"}},"additionalProperties":false,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5.elimination_analyser_config","typeLabel":"object | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.5","typeLabel":"object"},{"type":"object","required":["decision_engine_configs"],"properties":{"decision_engine_configs":{"type":"object","description":"Configuration for Decision Engine success rate based routing","properties":{"defaultLatencyThreshold":{"oneOf":[{"type":"number","format":"double","description":"Default latency threshold in percentile for gateway selection","example":90,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultLatencyThreshold.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Default latency threshold in percentile for gateway selection","example":90,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultLatencyThreshold.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultLatencyThreshold","typeLabel":"number\u003cdouble> | null"},"defaultBucketSize":{"oneOf":[{"type":"integer","format":"int32","description":"Default number of transactions to consider for success rate calculation","example":100,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultBucketSize.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Default number of transactions to consider for success rate calculation","example":100,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultBucketSize.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultBucketSize","typeLabel":"integer\u003cint32> | null"},"defaultHedgingPercent":{"oneOf":[{"type":"number","format":"double","description":"Default percentage of traffic to route for exploration/hedging","example":5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultHedgingPercent.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Default percentage of traffic to route for exploration/hedging","example":5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultHedgingPercent.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultHedgingPercent","typeLabel":"number\u003cdouble> | null"},"defaultLowerResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Lower reset factor for adjusting gateway scores","example":0.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultLowerResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Lower reset factor for adjusting gateway scores","example":0.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultLowerResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultLowerResetFactor","typeLabel":"number\u003cdouble> | null"},"defaultUpperResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Upper reset factor for adjusting gateway scores","example":1.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultUpperResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Upper reset factor for adjusting gateway scores","example":1.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultUpperResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultUpperResetFactor","typeLabel":"number\u003cdouble> | null"},"defaultGatewayExtraScore":{"oneOf":[{"type":"array","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultGatewayExtraScore.oneOf.0.items.[INDEX].gatewayName","typeLabel":"string"},"gatewaySigmaFactor":{"type":"number","format":"double","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultGatewayExtraScore.oneOf.0.items.[INDEX].gatewaySigmaFactor","typeLabel":"number\u003cdouble>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultGatewayExtraScore.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Gateway-specific extra scoring factors","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultGatewayExtraScore.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultGatewayExtraScore.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.defaultGatewayExtraScore","typeLabel":"object[] | null"},"subLevelInputConfig":{"oneOf":[{"type":"array","items":{"type":"object","description":"Payment method level configuration for success rate based routing","properties":{"paymentMethodType":{"oneOf":[{"type":"string","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethodType.oneOf.0","typeLabel":"string"},{"type":"null","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethodType.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethodType","typeLabel":"string | null"},"paymentMethod":{"oneOf":[{"type":"string","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethod.oneOf.0","typeLabel":"string"},{"type":"null","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethod.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethod","typeLabel":"string | null"},"latencyThreshold":{"oneOf":[{"type":"number","format":"double","description":"Latency threshold in percentile for this payment method","example":90,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].latencyThreshold.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Latency threshold in percentile for this payment method","example":90,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].latencyThreshold.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].latencyThreshold","typeLabel":"number\u003cdouble> | null"},"bucketSize":{"oneOf":[{"type":"integer","format":"int32","description":"Number of transactions to consider for this payment method","example":100,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].bucketSize.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Number of transactions to consider for this payment method","example":100,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].bucketSize.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].bucketSize","typeLabel":"integer\u003cint32> | null"},"hedgingPercent":{"oneOf":[{"type":"number","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].hedgingPercent.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].hedgingPercent.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].hedgingPercent","typeLabel":"number\u003cdouble> | null"},"lowerResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Lower reset factor for this payment method","example":0.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].lowerResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Lower reset factor for this payment method","example":0.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].lowerResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].lowerResetFactor","typeLabel":"number\u003cdouble> | null"},"upperResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Upper reset factor for this payment method","example":1.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].upperResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Upper reset factor for this payment method","example":1.5,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].upperResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].upperResetFactor","typeLabel":"number\u003cdouble> | null"},"gatewayExtraScore":{"oneOf":[{"type":"array","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0.items.[INDEX].gatewayName","typeLabel":"string"},"gatewaySigmaFactor":{"type":"number","format":"double","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0.items.[INDEX].gatewaySigmaFactor","typeLabel":"number\u003cdouble>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Gateway-specific extra scoring factors for this payment method","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors for this payment method","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore","typeLabel":"object[] | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Payment method level specific configurations","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","description":"Payment method level configuration for success rate based routing","properties":{"paymentMethodType":{"oneOf":[{"type":"string","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card"},{"type":"null","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card"}]},"paymentMethod":{"oneOf":[{"type":"string","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit"},{"type":"null","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit"}]},"latencyThreshold":{"oneOf":[{"type":"number","format":"double","description":"Latency threshold in percentile for this payment method","example":90},{"type":"null","format":"double","description":"Latency threshold in percentile for this payment method","example":90}]},"bucketSize":{"oneOf":[{"type":"integer","format":"int32","description":"Number of transactions to consider for this payment method","example":100},{"type":"null","format":"int32","description":"Number of transactions to consider for this payment method","example":100}]},"hedgingPercent":{"oneOf":[{"type":"number","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5},{"type":"null","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5}]},"lowerResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Lower reset factor for this payment method","example":0.5},{"type":"null","format":"double","description":"Lower reset factor for this payment method","example":0.5}]},"upperResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Upper reset factor for this payment method","example":1.5},{"type":"null","format":"double","description":"Upper reset factor for this payment method","example":1.5}]},"gatewayExtraScore":{"oneOf":[{"type":"array","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors for this payment method"},{"type":"null","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors for this payment method"}]}}},"description":"Payment method level specific configurations","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs.subLevelInputConfig","typeLabel":"object[] | null"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.decision_engine_configs","typeLabel":"object"},"params":{"oneOf":[{"type":"array","items":{"type":"string","enum":["PaymentMethod","PaymentMethodType","AuthenticationType","Currency","Country","CardNetwork","CardBin"],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.params.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"deprecated":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.params.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","items":{"type":"string","enum":["PaymentMethod","PaymentMethodType","AuthenticationType","Currency","Country","CardNetwork","CardBin"]},"deprecated":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.params.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.params","typeLabel":"enum\u003cstring>[] | null"},"config":{"oneOf":[{"type":"object","properties":{"min_aggregates_size":{"oneOf":[{"type":"integer","format":"int32","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.min_aggregates_size.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.min_aggregates_size.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.min_aggregates_size","typeLabel":"integer\u003cint32> | null"},"default_success_rate":{"oneOf":[{"type":"number","format":"double","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.default_success_rate.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.default_success_rate.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.default_success_rate","typeLabel":"number\u003cdouble> | null"},"max_aggregates_size":{"oneOf":[{"type":"integer","format":"int32","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.max_aggregates_size.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.max_aggregates_size.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.max_aggregates_size","typeLabel":"integer\u003cint32> | null"},"current_block_threshold":{"oneOf":[{"type":"object","properties":{"duration_in_mins":{"oneOf":[{"type":"integer","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.0.duration_in_mins.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.0.duration_in_mins.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.0.duration_in_mins","typeLabel":"integer\u003cint64> | null"},"max_total_count":{"oneOf":[{"type":"integer","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.0.max_total_count.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","minimum":0,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.0.max_total_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.0.max_total_count","typeLabel":"integer\u003cint64> | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.current_block_threshold","typeLabel":"object | null"},"specificity_level":{"type":"string","enum":["merchant","global"],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.specificity_level","typeLabel":"enum\u003cstring>"},"exploration_percent":{"oneOf":[{"type":"number","format":"double","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.exploration_percent.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.exploration_percent.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.exploration_percent","typeLabel":"number\u003cdouble> | null"},"shuffle_on_tie_during_exploitation":{"oneOf":[{"type":"boolean","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.shuffle_on_tie_during_exploitation.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.shuffle_on_tie_during_exploitation.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0.shuffle_on_tie_during_exploitation","typeLabel":"boolean | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6.config","typeLabel":"object | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.6","typeLabel":"object"},{"type":"object","properties":{"config":{"oneOf":[{"type":"object","properties":{"constants":{"oneOf":[{"type":"array","items":{"type":"number","format":"double","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0.constants.oneOf.0.items.[INDEX]","typeLabel":"number\u003cdouble>"},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0.constants.oneOf.0","typeLabel":"number\u003cdouble>[]"},{"type":"null","items":{"type":"number","format":"double"},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0.constants.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0.constants","typeLabel":"number\u003cdouble>[] | null"},"time_scale":{"oneOf":[{"type":"string","enum":["day","month"],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0.time_scale.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0.time_scale.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0.time_scale","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.config","typeLabel":"object | null"},"label_info":{"oneOf":[{"type":"array","items":{"type":"object","required":["label","target_count","target_time","mca_id"],"properties":{"label":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info.oneOf.0.items.[INDEX].label","typeLabel":"string"},"target_count":{"type":"integer","format":"int64","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info.oneOf.0.items.[INDEX].target_count","typeLabel":"integer\u003cint64>"},"target_time":{"type":"integer","format":"int64","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info.oneOf.0.items.[INDEX].target_time","typeLabel":"integer\u003cint64>"},"mca_id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info.oneOf.0.items.[INDEX].mca_id","typeLabel":"string"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["label","target_count","target_time","mca_id"],"properties":{"label":{"type":"string"},"target_count":{"type":"integer","format":"int64","minimum":0},"target_time":{"type":"integer","format":"int64","minimum":0},"mca_id":{"type":"string"}}},"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7.label_info","typeLabel":"object[] | null"}},"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm.oneOf.7","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm","typeLabel":"object"},"created_at":{"type":"integer","format":"int64","description":"Timestamp (in milliseconds since epoch) when the routing\nconfiguration was created.\n\nExample:\n```json\n1718000000000\n```","example":1718000000000,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.created_at","typeLabel":"integer\u003cint64>"},"modified_at":{"type":"integer","format":"int64","description":"Timestamp (in milliseconds since epoch) when the routing\nconfiguration was last modified.\n\nExample:\n```json\n1718050000000\n```","example":1718050000000,"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.modified_at","typeLabel":"integer\u003cint64>"},"algorithm_for":{"type":"string","enum":["payment","payout","three_ds_authentication"],"isRequired":true,"uniqueKey":"oneOf.0.algorithm.oneOf.0.algorithm_for","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.0.algorithm.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.0.algorithm.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.algorithm","typeLabel":"object | null"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"array","items":{"type":"object","description":"Metadata record representing a stored routing configuration.\n\nUsed in routing dictionary listings.","required":["id","profile_id","name","kind","description","created_at","modified_at"],"properties":{"id":{"type":"string","description":"Unique identifier of the routing configuration.\n\nExample:\n```json\n\"routing_abc123\"\n```","example":"routing_abc123","isRequired":true,"uniqueKey":"oneOf.1.items.[INDEX].id","typeLabel":"string"},"profile_id":{"type":"string","description":"Profile ID associated with this routing configuration.\n\nExample:\n```json\n\"profile_123\"\n```","example":"profile_123","isRequired":true,"uniqueKey":"oneOf.1.items.[INDEX].profile_id","typeLabel":"string"},"name":{"type":"string","description":"Name of the routing configuration.\n\nExample:\n```json\n\"india_card_routing\"\n```","example":"india_card_routing","isRequired":true,"uniqueKey":"oneOf.1.items.[INDEX].name","typeLabel":"string"},"kind":{"type":"string","enum":["single","priority","volume_split","advanced","dynamic","three_ds_decision_rule"],"isRequired":true,"uniqueKey":"oneOf.1.items.[INDEX].kind","typeLabel":"enum\u003cstring>"},"description":{"type":"string","description":"Description of this routing configuration.\n\nExample:\n```json\n\"Volume split routing for domestic transactions\"\n```","example":"Volume split routing for domestic transactions","isRequired":true,"uniqueKey":"oneOf.1.items.[INDEX].description","typeLabel":"string"},"created_at":{"type":"integer","format":"int64","description":"Creation timestamp (milliseconds since epoch).","example":1718000000000,"isRequired":true,"uniqueKey":"oneOf.1.items.[INDEX].created_at","typeLabel":"integer\u003cint64>"},"modified_at":{"type":"integer","format":"int64","description":"Last modification timestamp (milliseconds since epoch).","example":1718050000000,"isRequired":true,"uniqueKey":"oneOf.1.items.[INDEX].modified_at","typeLabel":"integer\u003cint64>"},"algorithm_for":{"oneOf":[{"type":"string","enum":["payment","payout","three_ds_authentication"],"uniqueKey":"oneOf.1.items.[INDEX].algorithm_for.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"oneOf.1.items.[INDEX].algorithm_for.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.items.[INDEX].algorithm_for","typeLabel":"enum\u003cstring> | null"},"decision_engine_routing_id":{"oneOf":[{"type":"string","description":"Associated Decision Engine routing identifier (if applicable).\n\nPresent when routing is linked to an external decision engine.\n\nExample:\n```json\n\"de_route_456\"\n```","example":"de_route_456","uniqueKey":"oneOf.1.items.[INDEX].decision_engine_routing_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Associated Decision Engine routing identifier (if applicable).\n\nPresent when routing is linked to an external decision engine.\n\nExample:\n```json\n\"de_route_456\"\n```","example":"de_route_456","uniqueKey":"oneOf.1.items.[INDEX].decision_engine_routing_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.items.[INDEX].decision_engine_routing_id","typeLabel":"string | null"}},"uniqueKey":"oneOf.1.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.1","typeLabel":"object[]"}],"uniqueKey":"","typeLabel":"object | object[]"},"examples":{"Example":{"title":"Example","value":{"algorithm":{"id":"routing_abc123","profile_id":"profile_123","name":"default_card_routing","description":"Primary routing strategy for card payments","algorithm":{"type":"single","data":{"connector":"absa_sanlam","merchant_connector_id":"\u003cstring>"}},"created_at":1718000000000,"modified_at":1718050000000,"algorithm_for":"payment"}}}},"exampleType":"generated"}},"exampleType":"generated"},"4074d168-a7a3-4479-87cd-9436f6277363":{"description":"Forbidden","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"2dd3d194-74e2-4781-bdc2-d3aa010ae890":{"description":"Resource missing","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"ba9cf9ba-672f-450b-8270-374788f304d3":{"description":"Internal server error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"11a5a817-d257-4c43-8b9d-c005a7897af0":{"api_key":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"}},"af5d1a63-481a-4ed3-989c-7c14305b755a":{"jwt_key":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"jwt_key"}}},"servers":{"f61470cd-dcf1-4ff9-8d18-5ea2fd311348":{"url":"https://sandbox.hyperswitch.io","description":"Sandbox Environment"}},"schemas":{"497d388b-6407-47e7-a295-3745e9fbde9f":{"type":"object","description":"Represents an IF statement with conditions and optional nested IF statements\n\n```text\npayment.method = card {\npayment.method.cardtype = (credit, debit) {\npayment.method.network = (amex, rupay, diners)\n}\n}\n```","required":["condition"],"properties":{"condition":{"type":"array","items":{"type":"object","description":"Represents a single comparison condition.","required":["lhs","comparison","value","metadata"],"properties":{"lhs":{"type":"string","description":"The left hand side which will always be a domain input identifier like \"payment.method.cardtype\"","isRequired":true},"comparison":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true},"value":{"oneOf":[{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number"],"isRequired":true},"value":{"type":"integer","format":"int64","description":"Represents a number literal","minimum":0,"isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant"],"isRequired":true},"value":{"type":"string","description":"Represents an enum variant","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["metadata_variant"],"isRequired":true},"value":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true},"value":{"type":"string","isRequired":true}},"isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["str_value"],"isRequired":true},"value":{"type":"string","description":"Represents a arbitrary String value","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["global_ref"],"isRequired":true},"value":{"type":"string","description":"Represents a global reference, which is a reference to a global variable","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_array"],"isRequired":true},"value":{"type":"array","items":{"type":"integer","format":"int64","minimum":0},"description":"Represents an array of numbers. This is basically used for\n\"one of the given numbers\" operations\neg: payment.method.amount = (1, 2, 3)","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["enum_variant_array"],"isRequired":true},"value":{"type":"array","items":{"type":"string"},"description":"Similar to NumberArray but for enum variants\neg: payment.method.cardtype = (debit, credit)","isRequired":true}},"isRequired":true},{"type":"object","description":"Represents a value in the DSL","required":["type","value"],"properties":{"type":{"type":"string","enum":["number_comparison_array"],"isRequired":true},"value":{"type":"array","items":{"type":"object","description":"Represents a number comparison for \"NumberComparisonArrayValue\"","required":["comparisonType","number"],"properties":{"comparisonType":{"type":"string","description":"Conditional comparison type","enum":["equal","not_equal","less_than","less_than_equal","greater_than","greater_than_equal"],"isRequired":true},"number":{"type":"integer","format":"int64","description":"This Unit struct represents MinorUnit in which core amount works","isRequired":true}}},"description":"Like a number array but can include comparisons. Useful for\nconditions like \"500 \u003c amount \u003c 1000\"\neg: payment.amount = (> 500, \u003c 1000)","isRequired":true}},"isRequired":true}],"isRequired":true},"metadata":{"type":"object","description":"Additional metadata that the Static Analyzer and Backend does not touch.\nThis can be used to store useful information for the frontend and is required for communication\nbetween the static analyzer and the frontend.","additionalProperties":{"oneOf":[{}]},"isRequired":true}}},"isRequired":true},"nested":{"oneOf":[{"type":"array","items":{"oneOf":[{}]}},{"type":"null"}]}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"},"schema":{"title":"api-key","type":"string","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"api-key"}],"title":"api_key"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"jwt_key"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"jwt_key","name":"Authorization"}],"title":"jwt_key"}]},"origina
[...]
